Cancels a batch job.

### HTTP request

`POST https://storagebatchoperations.googleapis.com/v1/{name=projects/*/locations/*/jobs/*}:cancel`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The `name` of the job to cancel. Format: `projects/{projectId}/locations/global/jobs/{jobId}`. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requestId": string } ``` |

| Fields ||
|---|---|
| `requestId` | `string` Optional. An optional request ID to identify requests. Specify a unique request ID in case you need to retry your request. Requests with same `requestId` are ignored for at least 60 minutes since the first request. The request ID must be a valid UUID with the exception that zero UUID isn't supported (00000000-0000-0000-0000-000000000000). |

### Response body

If successful, the response body is empty.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `storagebatchoperations.jobs.cancel`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).